NANOFILT(1)

NAME
NanoFilt - filtering and trimming of long read sequencing data

DESCRIPTION
usage: NanoFilt [-h] [-v] [--logfile LOGFILE] [-l LENGTH]

    [--maxlength MAXLENGTH] [-q QUALITY] [--minGC MINGC] [--maxGC MAXGC] [--headcrop HEADCROP] [--tailcrop TAILCROP] [-s SUMMARY] [--readtype {1D,2D,1D2}] [input]

Perform quality and/or length and/or GC filtering of (long read) fastq data. Reads on stdin.

  General options:

-h, --help
    show the help and exit

-v, --version
    Print version and exit.

--logfile LOGFILE
    Specify the path and filename for the log file.

input
    input, uncompressed fastq file

  Options for filtering reads on.:

-l LENGTH, --length LENGTH
    Filter on a minimum read length

--maxlength MAXLENGTH
    Filter on a maximum read length

-q QUALITY, --quality QUALITY
    Filter on a minimum average read quality score

--minGC MINGC
    Sequences must have GC content >= to this. Float between 0.0 and 1.0. Ignored if using summary file.

--maxGC MAXGC
    Sequences must have GC content <= to this. Float between 0.0 and 1.0. Ignored if using summary file.

  Options for trimming reads.:

--headcrop HEADCROP
    Trim n nucleotides from start of read

--tailcrop TAILCROP
    Trim n nucleotides from end of read

  Input options.:

-s SUMMARY, --summary SUMMARY
    Use albacore or guppy summary file for quality scores

--readtype {1D,2D,1D2}
    Which read type to extract information about from summary. Options are 1D, 2D or 1D2

  EXAMPLES:

    gunzip -c reads.fastq.gz | NanoFilt -q 10 -l 500 --headcrop 50 | minimap2 genome.fa - | samtools sort -O BAM -@24 -o alignment.bam - gunzip -c reads.fastq.gz | NanoFilt -q 12 --headcrop 75 | gzip > trimmed-reads.fastq.gz gunzip -c reads.fastq.gz | NanoFilt -q 10 | gzip > highQuality-reads.fastq.gz

SEE ALSO
The full documentation for NanoFilt is maintained as a Texinfo manual. If the info and NanoFilt programs are properly installed at your site, the command

    info NanoFilt

should give you access to the complete manual.